package search

import (
	xsd "github.com/use-go/onvif/xsd"
	onvifmodel "github.com/use-go/onvif/xsd/onvif"
)

type SourceReference onvifmodel.ReferenceToken
type RecordingReference onvifmodel.ReferenceToken

type SearchScope struct {
	IncludedSources            []SourceReference    `xml:"onvif:IncludedSources"`
	IncludedRecordings         []RecordingReference `xml:"onvif:IncludedRecordings"`
	RecordingInformationFilter xsd.String           `xml:"onvif:RecordingInformationFilter"`
	Extension                  SearchScopeExtension `xml:"onvif:Extension"`
}

type SearchScopeExtension []xsd.AnyType

type FindingRecordings struct {
	XMLName          string       `xml:"tse:FindingRecordings"`
	Scope            SearchScope  `xml:"tse:Scope"`
	MaxMatches       xsd.Int      `xml:"tse:MaxMatches"`
	KeepAliveTimeout xsd.Duration `xml:"tse:KeepAliveTimeout"`
}

type GetRecordingSummary struct {
	XMLName string `xml:"tse:GetRecordingSummary"`
}

type RecordingSummary struct {
	DataFrom         xsd.DateTime
	DataUntil        xsd.DateTime
	NumberRecordings xsd.Int
}
type GetRecordingSummaryResponse struct {
	Summary RecordingSummary
}
